<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <template id="tpstst_tablet_report">
            <t t-call="web.basic_layout">
                <t t-foreach="docs" t-as="o">
                    <div class="header">
                        <style type="text/css">
                            .right {
                                text-align: right;
                            }

                            .center {
                                text-align: center;
                            }

                            .bold_line {
                                height: 3px;
                            }
                        </style>
                        <h3 class="right">
                            <span t-field="o.reg_no"/>
                        </h3>
                        <br/>
                        <h1 class="center">
                            大 芭 窑 修 德 善 堂 歸 德 楼
                        </h1>
                        <hr class="bold_line"/>
                    </div>
                    <div class="page">
                        <style type="text/css">
                        .oval_center {
                            border-radius: 50%;
                            color: black;
                            border: 1px solid black;
                            display: table;
                            height: 150px;
                            margin: 0 auto;
                            width: 100px;
                        }

                        .oval_text {
                            display: table-cell;
                            writing-mode: vertical-rl;
                            text-orientation: upright;
                            text-align: center;
                            vertical-align: middle;
                            font-size: 35px;
                        }

                        .main_table {
                            width: 100%;
                            table-layout: fixed;
                        }
                        
                        .main_table tr td {
                            text-align: center;
                        }

                        .main_div1 {
                            font-size: 0px;
                        }

                        .main_div2 {
                            font-size: 0px;
                        }

                        .main_div3 {
                            font-size: 0px;
                        }

                        .main_div4 {
                            font-size: 0px;
                        }

                        .main_div5 {
                            font-size: 0px;
                        }
                        
                        .no_bottom_border_box {
                            vertical-align: middle;
                            margin: auto;
                            padding: auto;
                            width: 55px;
                            height: 55px;
                            border-top: 1px solid black;;
                            border-right: 1px solid black;
                            border-bottom: none;
                            border-left: 1px solid black;
                        }

                        .no_top_bottom_border_box {
                            vertical-align: middle;
                            margin: auto;
                            padding: auto;
                            width: 55px;
                            height: 55px;
                            border-top: none;
                            border-right: 1px solid black;
                            border-bottom: none;
                            border-left: 1px solid black;
                        }

                        .no_top_border_box {
                            vertical-align: middle;
                            margin: auto;
                            padding: auto;
                            width: 55px;
                            height: 55px;
                            border-top: none;
                            border-right: 1px solid black;
                            border-bottom: 1px solid black;
                            border-left: 1px solid black;
                        }

                        .no_bottom_border_box p {
                            font-size: 35px;
                        }

                        .no_top_bottom_border_box p {
                            font-size: 35px;
                        }

                        .no_top_border_box p {
                            font-size: 35px;
                        }

                        .linked_box {
                            margin: auto;
                            padding: auto;
                            width: 60px;
                            height: 45px;
                            border: 1px solid black;
                            text-align:center;
                            display: inline-block;
                        }

                        .unlinked_box_left {
                            margin: auto;
                            padding: auto;
                            width: 60px;
                            height: 45px;
                            border-top: 1px solid black;
                            border-right: none;
                            border-left: 1px solid black;
                            border-bottom: none;
                            display: inline-block;
                            text-align:center;
                        }

                        .unlinked_box_left p {
                            font-size: 35px;
                        }

                        .unlinked_box_right {
                            margin: auto;
                            padding: auto;
                            width: 60px;
                            height: 45px;
                            border-top: 1px solid black;
                            border-right: 1px solid black;
                            border-left: 1px solid black;
                            border-bottom: none;
                            display: inline-block;
                            text-align:center;
                        }

                        .unlinked_box_right p {
                            font-size: 35px;
                        }

                        .last_unlinked_box_left {
                            margin: auto;
                            padding: auto;
                            width: 60px;
                            height: 45px;
                            border-top: 1px solid black;
                            border-right: none;
                            border-left: 1px solid black;
                            border-bottom: 1px solid black;
                            display: inline-block;
                            text-align:center;
                        }
                        .last_unlinked_box_left p {
                            font-size: 40px;
                        }

                        .last_unlinked_box_right {
                            margin: auto;
                            padding: auto;
                            width: 60px;
                            height: 45px;
                            border-top: 1px solid black;
                            border-right: 1px solid black;
                            border-left: 1px solid black;
                            border-bottom: 1px solid black;
                            display: inline-block;
                            text-align:center;
                        }

                        .last_unlinked_box_right p {
                            font-size: 40px;
                        }

                        .complete_middle_box {
                            vertical-align: middle;
                            margin: auto;
                            padding: auto;
                            width: 65px;
                            height: 65px;
                            border-top: 1px solid black;;
                            border-right: 1px solid black;
                            border-bottom: 1px solid black;
                            border-left: 1px solid black;
                            margin-bottom: 30px;
                        }

                        .complete_middle_box p {
                            font-size: 40px;
                        }

                        .no_bottom_border_middle_box {
                            vertical-align: middle;
                            margin: auto;
                            padding: auto;
                            width: 65px;
                            height: 65px;
                            border-top: 1px solid black;;
                            border-right: 1px solid black;
                            border-bottom: none;
                            border-left: 1px solid black;
                        }

                        .no_top_border_middle_box {
                            vertical-align: middle;
                            margin: auto;
                            padding: auto;
                            width: 65px;
                            height: 65px;
                            border-top: 1px solid black;
                            border-right: 1px solid black;
                            border-bottom: 1px solid black;
                            border-left: 1px solid black;
                        }

                        .no_bottom_border_middle_box p {
                            font-size: 40px;
                        }

                        .complete_last_middle_box {
                            vertical-align: middle;
                            margin: auto;
                            padding: auto;
                            width: 65px;
                            height: 65px;
                            border-top: 1px solid black;;
                            border-right: 1px solid black;
                            border-bottom: 1px solid black;
                            border-left: 1px solid black;
                            margin-top: 30px;
                        }

                        .main_div3_first_box {
                            vertical-align: middle;
                            margin: auto;
                            padding: auto;
                            width: 60px;
                            height: 45px;
                            border-top: 1px solid black;
                            border-right: 1px solid black;
                            border-bottom: none;
                            border-left: 1px solid black;
                        }

                         .main_div3_first_box p {
                             font-size: 35px;
                         }

                        .main_div3_continued_box {
                            vertical-align: middle;
                            margin: auto;
                            padding: auto;
                            width: 60px;
                            height: 45px;
                            border-top: 1px solid black;
                            border-right: 1px solid black;
                            border-bottom: none;
                            border-left: 1px solid black;
                        }

                        .main_div3_first_box p {
                             font-size: 35px;
                         }

                        .last_box_bottom {
                            vertical-align: middle;
                            margin: auto;
                            padding: auto;
                            width: 60px;
                            height: 45px;
                            border-top: 1px solid black;
                            border-right: 1px solid black;
                            border-bottom: 1px solid black;
                            border-left: 1px solid black;
                        }

                        .last_box_bottom p {
                            font-size: 35px;
                        }

                        .all_inline_block_box {
                            vertical-align: middle;
                            margin: auto;
                            padding: auto;
                            width: 35px;
                            height: 50px;
                            border-top: 1px solid black;
                            border-right: none;
                            border-bottom: 1px solid black;
                            border-left: 1px solid black;
                            display: inline-block;
                        }

                        .all_inline_block_box p {
                            font-size: 15px;
                        }

                        .last_all_inline_block_box {
                            vertical-align: middle;
                            margin: auto;
                            padding: auto;
                            width: 35px;
                            height: 50px;
                            border-top: 1px solid black;
                            border-right: 1px solid black;
                            border-bottom: 1px solid black;
                            border-left: 1px solid black;
                            display: inline-block;
                        }

                        .last_all_inline_block_box p {
                            font-size: 15px;
                        }

                        .second_all_inline_box {
                            vertical-align: middle;
                            margin: auto;
                            padding: auto;
                            width: 45px;
                            height: 70px;
                            border-top: 1px solid black;
                            border-right: none;
                            border-bottom: 1px solid black;
                            border-left: 1px solid black;
                            display: inline-block;
                        }

                        .second_all_inline_box p {
                            font-size: 15px;
                        }

                        .last_second_all_inline_box {
                            vertical-align: middle;
                            margin: auto;
                            padding: auto;
                            width: 45px;
                            height: 70px;
                            border-top: 1px solid black;
                            border-right: 1px solid black;
                            border-bottom: 1px solid black;
                            border-left: 1px solid black;
                            display: inline-block;
                        }

                        .last_second_all_inline_box p {
                            font-size: 15px;
                        }


                        </style>
                        <div class="oval_center">
                            <p class="oval_text">
                                照<br/>
                                片
                            </p>
                        </div>
                        <br/>
                        <table class="main_table">
                            <tr>
                                <td>
                                    <div class="main_div1">
                                        <div class="no_bottom_border_box">
                                            <p>
                                                照
                                            </p>
                                        </div>
                                        <div class="no_bottom_border_box">
                                            <p>片</p>
                                        </div>
                                        <div class="unlinked_box_left"><p></p></div>
                                        <div class="unlinked_box_right"><p></p></div><br/>
                                        <div class="unlinked_box_left"></div>
                                        <div class="unlinked_box_right"></div><br/>
                                        <div class="unlinked_box_left"></div>
                                        <div class="unlinked_box_right"></div><br/>
                                        <div class="last_unlinked_box_left"></div>
                                        <div class="last_unlinked_box_right"></div><br/>
                                        <div class="no_top_bottom_border_box">
                                            <p>照</p>
                                        </div>
                                        <div class="unlinked_box_left"></div>
                                        <div class="unlinked_box_right"></div><br/>
                                        <div class="last_unlinked_box_left"></div>
                                        <div class="last_unlinked_box_right"></div><br/>
                                        <div class="no_top_bottom_border_box">
                                            <p>照</p>
                                        </div>
                                        <div class="unlinked_box_left"></div>
                                        <div class="unlinked_box_right"></div><br/>
                                        <div class="last_unlinked_box_left"></div>
                                        <div class="last_unlinked_box_right"></div><br/>
                                        <div class="no_top_border_box">
                                            <p>照</p>
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="main_div2">
                                        <div class="complete_middle_box">
                                            <p>照</p>
                                        </div>
                                        <div class="no_bottom_border_middle_box"></div>
                                        <div class="no_bottom_border_middle_box"></div>
                                        <div class="no_bottom_border_middle_box"></div>
                                        <div class="no_top_border_middle_box"></div>
                                        <div class="complete_last_middle_box">
                                            <p>照</p>
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="main_div3">
                                        <div class="main_div3_first_box">
                                            <p>
                                                照
                                            </p>
                                        </div>
                                        <div class="main_div3_continued_box"></div>
                                        <div class="main_div3_continued_box"></div>
                                        <div class="main_div3_continued_box"></div>
                                        <div class="main_div3_continued_box"></div>
                                        <div class="main_div3_continued_box"></div>
                                        <div class="main_div3_continued_box"></div>
                                        <div class="main_div3_continued_box"></div>
                                        <div class="main_div3_continued_box"></div>
                                        <div class="main_div3_continued_box"></div>
                                        <div class="main_div3_continued_box"></div>
                                        <div class="last_box_bottom"></div>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="3">
                                </td>
                            </tr>
                            <tr>
                                <td colspan="3">
                                    <p style="text-align: center; font-size: 15px;" >英 ⽂ 全 名</p>
                                </td>
                            </tr>

                            <tr>
                                <td colspan="3">
                                    <div class="main_div4">
                                        <div class="all_inline_block_box"></div>
                                        <div class="all_inline_block_box"></div>
                                        <div class="all_inline_block_box"></div>
                                        <div class="all_inline_block_box"></div>
                                        <div class="all_inline_block_box"></div>
                                        <div class="all_inline_block_box"></div>
                                        <div class="all_inline_block_box"></div>
                                        <div class="all_inline_block_box"></div>
                                        <div class="all_inline_block_box"></div>
                                        <div class="all_inline_block_box"></div>
                                        <div class="all_inline_block_box"></div>
                                        <div class="all_inline_block_box"></div>
                                        <div class="all_inline_block_box"></div>
                                        <div class="all_inline_block_box"></div>
                                        <div class="last_all_inline_block_box"></div>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="3">
                                    <br/>
                                    <div class="main_div5">
                                        <div class="second_all_inline_box"></div>
                                        <div class="second_all_inline_box"></div>
                                        <div class="second_all_inline_box"></div>
                                        <div class="second_all_inline_box"></div>
                                        <div class="second_all_inline_box"></div>
                                        <div class="second_all_inline_box"></div>
                                        <div class="second_all_inline_box"></div>
                                        <div class="second_all_inline_box"></div>
                                        <div class="second_all_inline_box"></div>
                                        <div class="last_second_all_inline_box"></div>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="3">
                                    <br/>
                                    <p style="text-align: center; font-size: 15px;" >注 册 号 码</p>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div class="footer">
                        <style type="text/css">
                            .footer_table{
                                width: 100%;
                                table-layout: fixed;
                            }

                            .footer_table tr td {
                                text-align: center
                            }

                            .left_footer {
                                text-align: left;
                                display: inline-block;
                            }

                            .right_footer {
                                text-align: right;
                                display: inline-block;
                            }
                        </style>
                        <div>
                            <table class="footer_table">
                                <tr>
                                    <td style="border-top: 1px solid black"></td>
                                    <td></td>
                                    <td style="border-top: 1px solid black"></td>
                                </tr>
                                <tr>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                </tr>
                                <tr>
                                    <td>申 请 ⼈ 签 名 。⽇ 期</td>
                                    <td></td>
                                    <td>⻅ 证 ⼈ 签 名 。⽇ 期</td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </t>
            </t>
        </template>
    </data>
</odoo>